package cn.iocoder.yudao.module.chain.convert.operatedetail;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.chain.api.operatedetail.dto.OperateDetailRespDTO;
import cn.iocoder.yudao.module.chain.api.operatedetail.dto.OperateDetailSaveReqDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.chain.controller.admin.operatedetail.vo.*;
import cn.iocoder.yudao.module.chain.dal.dataobject.operatedetail.OperateDetailDO;

/**
 * 区块上链操作具体上链信息 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface OperateDetailConvert {

    OperateDetailConvert INSTANCE = Mappers.getMapper(OperateDetailConvert.class);

    OperateDetailDO convert(OperateDetailCreateReqVO bean);

    OperateDetailDO convert(OperateDetailSaveReqVO bean);

    List<OperateDetailDO> convertToDOList(List<OperateDetailSaveReqVO> bean);

    OperateDetailRespVO convert(OperateDetailDO bean);

    List<OperateDetailRespVO> convertList(List<OperateDetailDO> list);

    List<OperateDetailRespDTO> convertToDTOList(List<OperateDetailRespVO> list);

    List<OperateDetailSaveReqVO> convertToSaveReqList(List<OperateDetailSaveReqDTO> list);

    PageResult<OperateDetailRespVO> convertPage(PageResult<OperateDetailDO> page);

}
